
OpenID Fix - Bug #2362

Redmine 3 Compatibilty

10 Mar 2015 14:27 - Harold Simpson

Status: Incomplete Start date: 10 Mar 2015

Priority: Major Due date:  

Assignee: Harold Simpson % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version:  External issue:  

Description

Plugin is not compatible with Redmine 3 (rails 4.2)

I have made a quick patch : https://github.com/harold-s/harold-s/blob/master/patch_openid_fix_for_redmine3

History

#1 - 11 Mar 2015 10:44 - Harold Simpson

Harold Simpson wrote:

Plugin is not compatible with Redmine 3 (rails 4.2)

I have made a quick patch : https://github.com/harold-s/harold-s/blob/master/patch_openid_fix_for_redmine3

 

I have cleaned a bit :

You can check this repo which has the two folder (openid_fix 0.20 original and fixed version for Redmine 3), a patch file and a Readme detailing what

has changed :

https://github.com/harold-s/harold-s/tree/master/openid_fix

For those who just want a quick fix, download this file : 

https://raw.githubusercontent.com/harold-s/harold-s/master/openid_fix/patch_openid_fix_for_redmine3 somewhere. Go in your openid_fix dir

(redmine/plugins/openid_fix ) and run

patch -p1 < /path_to_patch/patch_openid_fix_for_redmine3

and you should be good to go !

#2 - 11 Oct 2016 15:03 - Andriy Lesyuk

- Status changed from New to Incomplete

13 Mar 2024 1/2

https://github.com/harold-s/harold-s/blob/master/patch_openid_fix_for_redmine3
http://projects.andriylesyuk.com/users/3138
https://github.com/harold-s/harold-s/blob/master/patch_openid_fix_for_redmine3
https://github.com/harold-s/harold-s/tree/master/openid_fix
https://raw.githubusercontent.com/harold-s/harold-s/master/openid_fix/patch_openid_fix_for_redmine3


- Assignee set to Harold Simpson

Harold, I wonder, if this change is really needed. I used OpenID Fix to allow Google logins, but, as you probably know, Google has switched to

OpenID Connect, what makes this plugin useless at least for me (I think about dropping it).

So, do you really need this change?.. What for? Other OpenID providers?
